Introduction API Connect is an integrated API management offering, with capabilities and tooling for all phases of the API lifecycle. Key steps of the API lifecycle include: create, secure, manage, socialize, and analyze. These APIs enable you to permform actions as a consumer of the APIs that are published through the {{site.data.keyword.apiconnect}} service; for example, retrieve a list of Products, or subscribe to a product. For more information on using API Connect, see: Getting startedhttps://cloud.ibm.com/docs/apiconnect?topic=apiconnect-getting-started. Authentication Most API methods require an Authorization header that includes a token with your IBM Cloud Identity and Access Management IAM credentials. The header should look like this: Authorization: Bearer Method Path Summary GET /me Get the Me object PUT /me Update the Me object DELETE /me Delete the Me object POST /me/change-password Change my password POST /me/reset-password Reset password POST /me/sign-out Sign out GET /permissions List the My Permission objects POST /orgs Create a My Organization object GET /orgs List the My Organization objects GET /me Get the Me object PUT /me Update the Me object DELETE /me Delete the Me object POST /me/change-password Change my password POST /me/reset-password Reset password POST /me/sign-out Sign out GET /permissions List the My Permission objects POST /orgs Create a My Organization object GET /orgs List the My Organization objects GET /consumer/permissions List all Permission objects in all collections GET /consumer/permissions/org List the Permission objects GET /consumer/permissions/org/{permission} Get the Permission object by name or id GET /consumer/permissions/consumer List the Permission objects GET /consumer/permissions/consumer/{permission} Get the Permission object by name or id GET /orgs/{org} Get the Organization object by name or id PATCH /orgs/{org} Update the Organization object by name or id DELETE /orgs/{org} Delete the Organization object by name or id POST /orgs/{org}/transfer-owner Transfer owner to a new member POST /org-invitations/{invitation}/register Register using the Organization Invitation POST /org-invitations/{invitation}/accept Accept using the Organization Invitation POST /orgs/{org}/member-invitations Create a Member Invitation object GET /orgs/{org}/member-invitations List the Member Invitation objects DELETE /orgs/{org}/member-invitations Clear the Member Invitation objects GET /orgs/{org}/member-invitations/{member-invitation} Get the Member Invitation object by name or id DELETE /orgs/{org}/member-invitations/{member-invitation} Delete the Member Invitation object by name or id POST /orgs/{org}/member-invitations/{member-invitation}/regenerate Regenerate the Member Invitation POST /orgs/{org}/member-invitations/{member-invitation}/register Register using the Member Invitation POST /orgs/{org}/member-invitations/{member-invitation}/accept Accept using the Member Invitation GET /orgs/{org}/associates List the Associate objects GET /orgs/{org}/associates/{associate} Get the Associate object by name or id POST /orgs/{org}/members Create a Member object GET /orgs/{org}/members List the Member objects DELETE /orgs/{org}/members Clear the Member objects GET /orgs/{org}/members/{member} Get the Member object by name or id PATCH /orgs/{org}/members/{member} Update the Member object by name or id DELETE /orgs/{org}/members/{member} Delete the Member object by name or id POST /orgs/{org}/roles Create a Role object GET /orgs/{org}/roles List the Role objects DELETE /orgs/{org}/roles Clear the Role objects GET /orgs/{org}/roles/{role} Get the Role object by name or id PATCH /orgs/{org}/roles/{role} Update the Role object by name or id DELETE /orgs/{org}/roles/{role} Delete the Role object by name or id POST /orgs/{org}/payment-methods Create a Payment Method object GET /orgs/{org}/payment-methods List the Payment Method objects GET /orgs/{org}/payment-methods/{payment-method} Get the Payment Method object by name or id PATCH /orgs/{org}/payment-methods/{payment-method} Update the Payment Method object by name or id GET /consumer/permissions List all Permission objects in all collections GET /consumer/permissions/org List the Permission objects GET /consumer/permissions/org/{permission} Get the Permission object by name or id GET /consumer/permissions/consumer List the Permission objects GET /consumer/permissions/consumer/{permission} Get the Permission object by name or id POST /token Generate a token GET /oauth2/authorize APIC authorization endpoint GET /user-registries List the User Registry objects GET /user-registries/{user-registry} Get the User Registry object by name or id POST /user-registries/{user-registry}/search Search for users in the user registry GET /user-registries/{user-registry}/users/{user} Get the User object by name or id POST /sign-up Sign up a user POST /activate Activates the sign up POST /request-password-reset Send reset password link POST /token Generate a token GET /oauth2/redirect Authorization provider redirect endpoint POST /oauth2/redirect Authorization provider redirect endpoint GET /oauth2/redirect Authorization provider redirect endpoint POST /oauth2/redirect Authorization provider redirect endpoint GET /oauth2/authorize APIC authorization endpoint GET /orgs/{org} Get the Organization object by name or id PATCH /orgs/{org} Update the Organization object by name or id DELETE /orgs/{org} Delete the Organization object by name or id POST /orgs/{org}/transfer-owner Transfer owner to a new member GET /groups/{group} Get the Group object by name or id GET /groups/{group} Get the Group object by name or id POST /org-invitations/{invitation}/register Register using the Organization Invitation POST /org-invitations/{invitation}/accept Accept using the Organization Invitation POST /orgs/{org}/member-invitations Create a Member Invitation object GET /orgs/{org}/member-invitations List the Member Invitation objects DELETE /orgs/{org}/member-invitations Clear the Member Invitation objects GET /orgs/{org}/member-invitations/{member-invitation} Get the Member Invitation object by name or id DELETE /orgs/{org}/member-invitations/{member-invitation} Delete the Member Invitation object by name or id POST /orgs/{org}/member-invitations/{member-invitation}/regenerate Regenerate the Member Invitation POST /orgs/{org}/member-invitations/{member-invitation}/register Register using the Member Invitation POST /orgs/{org}/member-invitations/{member-invitation}/accept Accept using the Member Invitation GET /user-registries List the User Registry objects GET /user-registries/{user-registry} Get the User Registry object by name or id POST /user-registries/{user-registry}/search Search for users in the user registry GET /user-registries/{user-registry}/users/{user} Get the User object by name or id POST /sign-up Sign up a user POST /activate Activates the sign up POST /request-password-reset Send reset password link GET /consumer/identity-providers List Identity Providers in the consumer realm GET /consumer/identity-providers List Identity Providers in the consumer realm GET /orgs/{org}/associates List the Associate objects GET /orgs/{org}/associates/{associate} Get the Associate object by name or id POST /orgs/{org}/members Create a Member object GET /orgs/{org}/members List the Member objects DELETE /orgs/{org}/members Clear the Member objects GET /orgs/{org}/members/{member} Get the Member object by name or id PATCH /orgs/{org}/members/{member} Update the Member object by name or id DELETE /orgs/{org}/members/{member} Delete the Member object by name or id POST /orgs/{org}/roles Create a Role object GET /orgs/{org}/roles List the Role objects DELETE /orgs/{org}/roles Clear the Role objects GET /orgs/{org}/roles/{role} Get the Role object by name or id PATCH /orgs/{org}/roles/{role} Update the Role object by name or id DELETE /orgs/{org}/roles/{role} Delete the Role object by name or id GET /public-products List all Product objects in all collections GET /public-products/{product-name} List the Product objects GET /public-products/{product-id} Get the Product object by id GET /public-products/{product-name}/{product-version} Get the Product object by name and version GET /public-products/{product-id}/document Get the Product document GET /public-products/{product-name}/{product-version}/document Get the Product document by name and version GET /public-apis List all API objects in all collections GET /public-apis/{api-name} List the API objects GET /public-apis/{api-id} Get the API object by id GET /public-apis/{api-name}/{api-version} Get the API object by name and version GET /public-apis/{api-id}/document Get the API document GET /public-apis/{api-name}/{api-version}/document Get the API document by name and version GET /public-apis/{api-id}/wsdl Get the API wsdl document GET /public-apis/{api-name}/{api-version}/wsdl Get the API wsdl document by name and version GET /products List all Product objects in all collections GET /products/{product-name} List the Product objects GET /products/{product-id} Get the Product object by id GET /products/{product-name}/{product-version} Get the Product object by name and version GET /products/{product-id}/document Get the Product document GET /products/{product-name}/{product-version}/document Get the Product document by name and version GET /apis List all API objects in all collections GET /apis/{api-name} List the API objects GET /apis/{api-id} Get the API object by id GET /apis/{api-name}/{api-version} Get the API object by name and version GET /apis/{api-id}/document Get the API document GET /apis/{api-name}/{api-version}/document Get the API document by name and version GET /apis/{api-id}/wsdl Get the API wsdl document GET /apis/{api-name}/{api-version}/wsdl Get the API wsdl document by name and version GET /public-products List all Product objects in all collections GET /public-products/{product-name} List the Product objects GET /public-products/{product-id} Get the Product object by id GET /public-products/{product-name}/{product-version} Get the Product object by name and version GET /public-products/{product-id}/document Get the Product document GET /public-products/{product-name}/{product-version}/document Get the Product document by name and version GET /public-apis List all API objects in all collections GET /public-apis/{api-name} List the API objects GET /public-apis/{api-id} Get the API object by id GET /public-apis/{api-name}/{api-version} Get the API object by name and version GET /public-apis/{api-id}/document Get the API document GET /public-apis/{api-name}/{api-version}/document Get the API document by name and version GET /public-apis/{api-id}/wsdl Get the API wsdl document GET /public-apis/{api-name}/{api-version}/wsdl Get the API wsdl document by name and version GET /products List all Product objects in all collections GET /products/{product-name} List the Product objects GET /products/{product-id} Get the Product object by id GET /products/{product-name}/{product-version} Get the Product object by name and version GET /products/{product-id}/document Get the Product document GET /products/{product-name}/{product-version}/document Get the Product document by name and version GET /apis List all API objects in all collections GET /apis/{api-name} List the API objects GET /apis/{api-id} Get the API object by id GET /apis/{api-name}/{api-version} Get the API object by name and version GET /apis/{api-id}/document Get the API document GET /apis/{api-name}/{api-version}/document Get the API document by name and version GET /apis/{api-id}/wsdl Get the API wsdl document GET /apis/{api-name}/{api-version}/wsdl Get the API wsdl document by name and version POST /orgs/{org}/apps Create a Application object GET /orgs/{org}/apps List the Application objects DELETE /orgs/{org}/apps Clear the Application objects GET /apps/{org}/{app} Get the Application object by name or id PATCH /apps/{org}/{app} Update the Application object by name or id DELETE /apps/{org}/{app} Delete the Application object by name or id GET /application-types List the Application Type objects GET /application-types/{application-type} Get the Application Type object by name or id POST /apps/{org}/{app}/credentials Create a Application Credential object GET /apps/{org}/{app}/credentials List the Application Credential objects DELETE /apps/{org}/{app}/credentials Clear the Application Credential objects GET /apps/{org}/{app}/credentials/{credential} Get the Application Credential object by name or id PATCH /apps/{org}/{app}/credentials/{credential} Update the Application Credential object by name or id DELETE /apps/{org}/{app}/credentials/{credential} Delete the Application Credential object by name or id POST /apps/{org}/{app}/credentials/{credential}/reset Reset the client id and client secret POST /apps/{org}/{app}/credentials/{credential}/reset-client-secret Reset the client secret POST /apps/{org}/{app}/credentials/{credential}/verify-client-secret Verify the client secret POST /apps/{org}/{app}/subscriptions Create a Subscription object GET /apps/{org}/{app}/subscriptions List the Subscription objects DELETE /apps/{org}/{app}/subscriptions Clear the Subscription objects GET /apps/{org}/{app}/subscriptions/{subscription} Get the Subscription object by name or id PATCH /apps/{org}/{app}/subscriptions/{subscription} Update the Subscription object by name or id DELETE /apps/{org}/{app}/subscriptions/{subscription} Delete the Subscription object by name or id POST /orgs/{org}/apps Create a Application object GET /orgs/{org}/apps List the Application objects DELETE /orgs/{org}/apps Clear the Application objects GET /apps/{org}/{app} Get the Application object by name or id PATCH /apps/{org}/{app} Update the Application object by name or id DELETE /apps/{org}/{app} Delete the Application object by name or id GET /application-types List the Application Type objects GET /application-types/{application-type} Get the Application Type object by name or id POST /apps/{org}/{app}/credentials Create a Application Credential object GET /apps/{org}/{app}/credentials List the Application Credential objects DELETE /apps/{org}/{app}/credentials Clear the Application Credential objects GET /apps/{org}/{app}/credentials/{credential} Get the Application Credential object by name or id PATCH /apps/{org}/{app}/credentials/{credential} Update the Application Credential object by name or id DELETE /apps/{org}/{app}/credentials/{credential} Delete the Application Credential object by name or id POST /apps/{org}/{app}/credentials/{credential}/reset Reset the client id and client secret POST /apps/{org}/{app}/credentials/{credential}/reset-client-secret Reset the client secret POST /apps/{org}/{app}/credentials/{credential}/verify-client-secret Verify the client secret POST /apps/{org}/{app}/subscriptions Create a Subscription object GET /apps/{org}/{app}/subscriptions List the Subscription objects DELETE /apps/{org}/{app}/subscriptions Clear the Subscription objects GET /apps/{org}/{app}/subscriptions/{subscription} Get the Subscription object by name or id PATCH /apps/{org}/{app}/subscriptions/{subscription} Update the Subscription object by name or id DELETE /apps/{org}/{app}/subscriptions/{subscription} Delete the Subscription object by name or id GET /orgs/{org}/billings List the Billing objects GET /orgs/{org}/billings/{billing} Get the Billing object by name or id GET /orgs/{org}/billings List the Billing objects GET /orgs/{org}/billings/{billing} Get the Billing object by name or id POST /orgs/{org}/payment-methods Create a Payment Method object GET /orgs/{org}/payment-methods List the Payment Method objects GET /orgs/{org}/payment-methods/{payment-method} Get the Payment Method object by name or id PATCH /orgs/{org}/payment-methods/{payment-method} Update the Payment Method object by name or id